using Microsoft.VisualBasic.CompilerServices;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

//namespace SE0085.StCl
namespace FAS_LIB
{
    public class scAssemblyLine : scLevels
    {
        private object _AlDataCatalog;
        private string _ServerIPAddress;
        private string _ServerPort;
        private long _ConfigWord;

        public string DataCatalog
        {
            get
            {
                return Conversions.ToString(this._AlDataCatalog);
            }
            set
            {
                this._AlDataCatalog = (object)value;
            }
        }

        public string ServerIPAddress
        {
            get
            {
                return this._ServerIPAddress;
            }
            set
            {
                this._ServerIPAddress = value;
            }
        }

        public string ServerPort
        {
            get
            {
                return this._ServerPort;
            }
            set
            {
                this._ServerPort = value;
            }
        }

        public long ConfigWord
        {
            get
            {
                return this._ConfigWord;
            }
            set
            {
                this._ConfigWord = value;
            }
        }

        public scLevels AssemLevel
        {
            get
            {
                return new scLevels() { LevelId = this.LevelId, LevelAbbrv = this.LevelAbbrv, LevelActive = this.LevelActive, LevelActiveBool = this.LevelActiveBool, LevelName = this.LevelName, LevelParentId = this.LevelParentId, LevelValue = this.LevelValue };
            }
        }
    }
}
